Bug 472977 - F10 xorg breaks with Radeon X300SE
F10 xorg breaks with Radeon X300SE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 16:34 EST by Simo Sorce
Modified: 2009-12-18 01:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:56:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current xorg.conf (4.56 KB, text/plain)
2008-11-27 14:55 EST, Simo Sorce
no flags Details
Log file relative to the posted conf file (78.65 KB, text/plain)
2008-11-27 15:08 EST, Simo Sorce
no flags Details
log file with no configuration (79.46 KB, text/plain)
2008-11-27 15:08 EST, Simo Sorce
no flags Details

  None (edit)
Description Simo Sorce 2008-11-25 16:34:01 EST
Description of problem:
anaconda will barf and install only in text mode with this ATI card.

Version-Release number of selected component (if applicable):
Name        : xorg-x11-drv-ati             Relocations: (not relocatable)
Version     : 6.9.0                             Vendor: Fedora Project
Release     : 56.fc10                       Build Date: Sun 23 Nov 2008 03:19:49


After a text install i rebooted setting nomodest, this allowed the card to be configured and X to start, but DRI was disabled.

I added Virtual 1600 1050 to all Display subsections and this allows the card to run decently in 2d.

I then tried to re-enable kernel modesetting. X actually starts, but all bitmaps tend to get garbage. A refresh of the window will clean the garbage up for some time, but shortly after you get some other random crap.

The card has 32MB


lspci -v is:
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)] (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc Device 0602
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at fc000000 (64-bit, prefetchable) [size=32M]
	Memory at fe9e0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at dc00 [size=256]
	Expansion ROM at fea00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint, MSI 00
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
	Kernel modules: radeon, radeonfb

01:00.1 Display controller: ATI Technologies Inc RV370 [Radeon X300SE]
	Subsystem: ATI Technologies Inc Device 0603
	Flags: bus master, fast devsel, latency 0
	Memory at fe9f0000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint, MSI 00
Comment 1 Matěj Cepl 2008-11-25 19:41:03 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Simo Sorce 2008-11-27 14:55:47 EST
Created attachment 324912 [details]
Current xorg.conf

This is the current working xorg.conf
The only difference between this and the one automatically generated by xorg is that I added Virtual   1680 1050 so the SubSection "Display" subsections in the Section "Screen"
Comment 3 Simo Sorce 2008-11-27 15:08:29 EST
Created attachment 324915 [details]
Log file relative to the posted conf file
Comment 4 Simo Sorce 2008-11-27 15:08:58 EST
Created attachment 324916 [details]
log file with no configuration
Comment 5 Matěj Cepl 2008-11-27 18:11:55 EST
Thanks again! :)
Comment 6 Bug Zapper 2009-11-18 03:57:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:56:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.